田草博客
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号 ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件
-电信用户-|-网通用户-
-博客论坛-|-软件下载-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2019 - 12 48
1234567
891011121314
15161718192021
22232425262728
293031


站点统计

最新评论



VS2012 混凝土结构耐久性设计标准GB-T50476-2019.pdf
未知 AddAppEvent   [ 日期:2019-10-13 ]   [ 来自:本站原创 ]  HTML
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.Runtime
Imports System.Threading.Tasks
Imports System.Text
Imports System.Linq
Imports System.Collections.Generic
Imports System.IO
Imports System
Namespace Demo1
    Public Class Class1
        <CommandMethod("AddAppEvent")> _
        Public Sub AddAppEvent()
            Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument
            AddHandler Application.SystemVariableChanged, New Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventHandler(AddressOf appSysVarChanged)
            AddHandler Application.BeginDoubleClick, New BeginDoubleClickEventHandler(AddressOf beginDoubleClick)
            AddHandler acDoc.CommandWillStart, New CommandEventHandler(AddressOf currentDoc_CommandWillStart)
            AddHandler acDoc.CommandCancelled, New CommandEventHandler(AddressOf currentDoc_CommandWillStart)
            AddHandler acDoc.CommandEnded, New CommandEventHandler(AddressOf currentDoc_CommandWillStart)
            AddHandler acDoc.CommandFailed, New CommandEventHandler(AddressOf currentDoc_CommandWillStart)
        End Sub

        <CommandMethod("RemoveAppEvent")> _
        Public Sub RemoveAppEvent()
            RemoveHandler Application.SystemVariableChanged, New Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventHandler(AddressOf appSysVarChanged)
            RemoveHandler Application.BeginDoubleClick, New BeginDoubleClickEventHandler(AddressOf beginDoubleClick)
        End Sub

        Public Sub appSysVarChanged(ByVal senderObj As Object, ByVal sysVarChEvtArgs As Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventArgs)
            Dim oVal As Object = Application.GetSystemVariable(sysVarChEvtArgs.Name)
            ' Display a message box with the system variable name and the new value
            Application.ShowAlertDialog(sysVarChEvtArgs.Name + " was changed." + vbLf & "New value: " + oVal.ToString())
        End Sub

        Private Shared Sub beginDoubleClick(ByVal sender As Object, ByVal e As BeginDoubleClickEventArgs)
            Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument
            Dim strDWGName As String = acDoc.Name
            Application.ShowAlertDialog(strDWGName)
        End Sub

        Private Sub currentDoc_CommandWillStart(ByVal sender As Object, ByVal e As CommandEventArgs)
            'Application.ShowAlertDialog(e.GlobalCommandName);
            Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument
            Dim strDWGName As String = acDoc.Name
            Application.ShowAlertDialog(strDWGName)
        End Sub
    End Class
End Namespace





暂时没有评论
发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:3*4=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©